org.eclipse.ease.service

## Class ScriptType

- java.lang.Object
- - org.eclipse.ease.service.ScriptType

    public class ScriptType
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ScriptType(IConfigurationElement configurationElement)`

### Method Summary

Methods
`Collection<String>` `getContentTypes()`
`String` `getDefaultExtension()`
`List<EngineDescription>` `getEngines()` Get available engines.
`IHeaderParser` `getHeaderParser()`
`String` `getName()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScriptType

    public ScriptType(IConfigurationElement configurationElement)

### Method Detail

#### getName

    public String getName()

#### getDefaultExtension

    public String getDefaultExtension()

#### getContentTypes

    public Collection<String> getContentTypes()

#### getHeaderParser

    public IHeaderParser getHeaderParser()

#### getEngines

    public List<EngineDescription> getEngines()

Get available engines. Returns available script engine descriptions sorted by priority (highest first).

Returns:
  available engines